# Willow Database

Project to create the database for the Willow Chinese dictionary.

## Build

To build the project locally, simply run the following command from the terminal:

```sh
./gradlew build
```

## License

All source code in this repository is licensed under a [MIT license](LICENSE), unless otherwise noted.

To the following third-party code, data, and files in the repository different licenses apply:

### Cross-straits (兩岸詞典) Dictionary

[Cross-Straits Dictionary (兩岸詞典)](https://github.com/g0v/moedict-data-csld) provided by
the [中華文化總會](https://www.gacc.org.tw) is licensed under
a [CC BY-NC-ND 3.0 TW](https://creativecommons.org/licenses/by-nc-nd/3.0/tw/).

### CC-CEDICT

[CC-CEDICT](https://cc-cedict.org/wiki) is licensed under
a [Creative Commons Attribution-ShareAlike 4.0 International License](https://creativecommons.org/licenses/by-sa/4.0/).

### Moedict (教育部重編國語辭典)

[Moedict (教育部重編國語辭典)](https://github.com/g0v/moedict-data) provided by the [教育部](https://dict.revised.moe.edu.tw) is licensed under
a [CC BY-ND 3.0 TW](https://creativecommons.org/licenses/by-nd/3.0/tw/).